<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <meta name="format-detection" content="telephone=no" />
        <meta name="msapplication-tap-highlight" content="no" />
        <!-- WARNING: for iOS 7, remove the width=device-width and height=device-height attributes. See https://issues.apache.org/jira/browse/CB-4323 -->
        <meta name="viewport" content="initial-scale=1, minimum-scale=1, width=device-width, height=device-height, target-densitydpi=device-dpi" />
        <link rel="stylesheet" type="text/css" href="../theme/css/bootstrap.min.css" />
        <link rel="stylesheet" type="text/css" href="../css/style.css" />
        <link href="../theme/plugins/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
        <link rel="stylesheet" href="../theme/css/custom.css" type="text/css">
        <script type="text/javascript" src="../js/jquery-1.11.2.min.js"></script>
        <script type="text/javascript" src="../theme/js/bootstrap.min.js"></script>
        <script  src="../theme/plugins/datatables/jquery.dataTables.js"></script>
        <script  src="../theme/plugins/datatables/dataTables.bootstrap.js"></script>
        <script  src="../js/url.js"></script>
        <title>Committee Members</title>
        <style type="text/css">
            .dataTables_filter{
                float: none !important;
            }
            #membersTable_wrapper > div:nth-child(1) > div:nth-child(1){
                display: none !important;
            }
        </style>
    </head>
   <body style="background-color: white"> 
    <div style="height:20px;"></div> 
    <div class="table-responsive">
        <table id="membersTable" class="stripe table table-bordered table-striped"></table>
    </div>
    <!-- </div>-->
    <div style="height:20px"></div>
    <!-- Loader -->
    <div class="fader">
        <div class="loader"></div>
    </div>

    <script>
        function getCom() {
            showLoader();
            $.ajax({
                type: "GET",
                dataType: 'json',
                url: getUrl(api.GET_COM_URL)
            }).done(function (response) {
                hideLoader();
                show(response);
            }).fail(function (jqXHR, textStatus, errorThrown) {
                hideLoader();
                alert("Server failed");
            })
                    .always(function (jqXHROrData, textStatus, jqXHROrErrorThrown) {});
        }
        $(function () {
            $("#sidemenu_section").load("side_menu.html");
            getCom();

        });

        function show(dataset) {
            if (typeof dataTable_getCom === 'undefined') {
                dataTable_getCom = $('#membersTable').dataTable({
                    "bDestroy": true,
                    "bRetrieve": true,
                    "bProcessing": true,
                    "bDeferRender": true,
                    "aaData": dataset,
                    "bFilter": true,
                    "iDisplayLength": 50,
                    "bLengthChange": false,
                    "bPaginate": false,
                    "aaSorting": [],
                    "bSortable": false,
                    "aoColumns": [{
                            "sTitle": "Name",
                            "mData": "name"
                        }, {
                            "sTitle": "Post",
                            "mData": "post"
                        }, {
                            "sTitle": "Mobile Number",
                            "mData": "mobile_number",
                            "mRender": function (data, type, row) {
                                return "<a style='text-decoration:underline' href='tel:" + row.mobile_number + "'>" + row.mobile_number + "</a>";
                            }
                        }]
                });

            } else {
                dataTable_members.dataTable().fnFilter("");
                dataTable_members.dataTable().fnClearTable();
                dataTable_members.fnAddData(dataset);
            }
        }
        function showLoader() {
            $(".fader").show();
            $(".loader").show();
        }
        function hideLoader() {
            $(".fader").hide();
            $(".loader").hide();
        }

    </script>
</body>
</html>



